Skip to content

Patch Integration Point

Request

Patches the IntegrationPoint object matching {integrationPointId}.

Operation ID: integrationPoints_patch

Security
BearerAuth
Path
integrationPointIdstring(Id)required
Bodyapplication/jsonrequired
Array [
opstring(PatchOp)required

The operation to perform. Supported values are add, copy, move, replace, remove, and test.

Enum:"add""copy""move""remove""replace""test"
pathstringrequired

The path to the field to update. The path is a JSON Pointer.

fromstring or null

The path to the field to copy from. This is required for copy and move operations.

valueany or null

The value to set the field to. This is required for add, replace and test operations.

]
curl
curl -i -X PATCH \
  'https://api.synqly.com/v1/integration-points/{integrationPointId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "op": "add",
      "path": "string"
    }
  ]'

Responses

Bodyapplication/json
resultobject(IntegrationPoint)required

Enables creation, editing and deletion of Integrations.

Response
{ "result": { "id": "string", "fullname": "string", "description": "string", "connector": "appsec", "environments": { … }, "mappings": [ … ], "additional_mappings": [ … ], "scheduled_operations": [ … ], "name": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } }